const TeamSpeak3 = require("ts3-nodejs-library")

var ts3conn = new TeamSpeak3({
    host: "localhost",
    queryport: 10011,
    serverport: 9987,
    username: "serveradmin",
    password: "R0cHL6tb",
    nickname: "NodeJS Query Framework",
})

    ts3conn.on("ready", () => {
        ts3conn.clientList({client_type:0}).then(clients => {
            clients.forEach(client => {
                console.log("Online: ", client.getCache().client_nickname)
            })
        }).catch(e => console.log("CATCHED", e.message))

        ts3conn.channelList({}).then(channel => {
            channel.forEach(channel => {
                console.log("Channel: ", channel.getCache().channel_name)
            })
        }).catch(e => console.log("CATCHED", e.message))
    })



    ts3conn.on("error", e => console.log("Error", e.message))
    ts3conn.on("close", e => console.log("Connection has been closed!", e))
